<?php
require_once '../connect.php';

define('MAX_LINHAS', 300);

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    if (isset($_GET['key'])) {
        $key = $_GET['key'];
        $msg = array();
        
        /* SE PRODUTO POR PESO OU VALOR, EXTRAI O CÓDIGO DO PRODUTO */
        if(strlen($key)==13 and substr($key, 0, 1)=='2'){
            $key = substr($key , 1, 6);
        }
        
        $consulta = "select	u.id, ifnull(p.vl_preco_venda, 0) as vl_preco_venda, p.id, p.cd_produto, p.ds_produto, p.ds_codigo_barras, p.id_unidade_medida
						from  	erpc_produtos p
						join	erpc_unidade_medida u on p.id_unidade_medida = u.id where
						 ifnull(p.vl_preco_venda, 0)>0
						 and p.st_ativo = 1
						 and p.ds_codigo_barras='$key'";
        
        /* EDIVAL REMOVIDO EM 11/04/2019 - CONSULTA POR CÓDIGO DO PRODUTO */
        /* CONSULTA POR CÓDIGO DE BARRAS */
        /*
         if(strlen($key)>=8){
         
         }
         else{
         $key = substr('000000' . $key, -6);
         
         $consulta = "select	u.id, ifnull(p.vl_preco_venda, 0) as vl_preco_venda, p.id, p.cd_produto, p.ds_produto, p.ds_codigo_barras, p.id_unidade_medida
         from  	erpc_produtos p
         join	erpc_unidade_medida u on p.id_unidade_medida = u.id where
         ifnull(p.vl_preco_venda, 0)>0
         and p.st_ativo = 1
         and concat(repeat('0', 6 - length(cd_produto)), cd_produto)='$key'";
         }*/
        
        $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
        if (mysqli_num_rows($resultado)>0) {
            //caso encontrado
            while ($registro = mysqli_fetch_assoc($resultado)){
                
                $id     = $registro['id'];
                $cd_produto = $registro['cd_produto'];
                $ds_produto = $registro['ds_produto'];
                $ds_codigo_barras = $registro['ds_codigo_barras'];
                $vl_preco_venda   = $registro['vl_preco_venda'];
                $id_unidade_medida= $registro['id_unidade_medida'];
                
                //Mensagem de encontrado
                // $key = $cd_codigo_barras;           /* Encontrado: Passa a nova ID para o Campo */
                $msg['id']  = $id;
                $msg['vl_preco_venda']  = $vl_preco_venda;
                $msg['cd_produto'] = $cd_produto;
                $msg['ds_produto'] = $ds_produto;
                $msg['ds_codigo_barras'] = $ds_codigo_barras;
                $msg['id_unidade_medida'] = $id_unidade_medida;
                
            }
        }else{
            //Caso não encontrado
            $msg['error'] = 'Erro! CodPdv: Código ' . htmlentities($key) . ' não cadastrado ou sem preço de venda.';
        }
        
        header('Content-type: application/json');
        echo json_encode($msg);
        exit;
    }
}

?>